	listaAnaliseAdicionada =[];
	listaTodasAnalises =[];
	listaLabelAdicionadas = [];

	arrayAnalinalisesFiltro = [];
	$( document ).ready(function() {
		consultar_todas_analises();
	});
	//funções da cria pagina
	//redimencionar
	function inicia_resizable(seletor)
	{
		//$('.resizable').resizable({
		$('#'+seletor).resizable({
		handles: {
			'nw': '.ui-resizable-nw',
			'ne': '.ui-resizable-ne',
			'sw': '.ui-resizable-sw',
			'se': '.ui-resizable-se',
			'n': '.ui-resizable-n',
			'e': '.ui-resizable-e',
			's': '.ui-resizable-s',
			'w': '.ui-resizable-w'
		}
		});
		//$( '.draggable' ).draggable().on('click', function(){
		$( '#'+seletor ).draggable().on('click', function(){	
			if ( $(this).is('.ui-draggable-dragging') ) {
				return;
			} else {
				$(this).draggable( 'option', 'enabled', true );
				$(this).prop('contenteditable','true');
				$(this).css('cursor', 'text');
			}
		})
		.on('blur', function(){
			$(this).draggable( 'option', 'enabled', false);
			$(this).prop('contenteditable','true');
			$(this).css('cursor', 'move');
		});
		
		var click = {
			x: 0,
			y: 0
		};
		$('#'+seletor).draggable({

			start: function(event) {
				click.x = event.clientX;
				click.y = event.clientY;
			},

			drag: function(event, ui) {

				// This is the parameter for scale(
				var original = ui.originalPosition;
				// jQuery will simply use the same object we alter here
				ui.position = {
					left: (event.clientX - click.x + original.left) / zoom,
					top:  (event.clientY - click.y + original.top ) / zoom
				};

			}

		});
	}
	
	
	zoom = 1;
	function zoon_analise(menos)
	{
		if(menos)
		{
			zoom -= 0.1;
		}
		else
		{
			zoom += 0.1;
		}
		$('#analies_capa').css({"transform": "scale("+zoom+")", "transform-origin": "0 0" });
		

		ajustarAlturaPagina();
	}
	function obs_rodape_pagina()
	{
		$('#modaleditarbi_pagina_footer').html("");
		if($('#layout').val() == "responsivel")
		{
			$('#modaleditarbi_pagina_footer').append("<b style='color: orange; font-size: 10px;'>Não será respeitado a posição dos componentes por conta do layout responsável!</b> ");
			$('#modaleditarbi_pagina_footer').append("<b style='color: green; font-size: 10px;'>Porém a tela será ajustada automaticamente ao tamanho da tela! Ideal para smartphones e tablets</b>");
		}
	}
	function finalizar_pagina()
	{
		if($("#nome").val() == "")
		{
			alert("Informe o nome da análise!");
			return;
		}
		if($("#layout").val() == "")
		{
			alert("Informe o layout da análise!");
			return;
		}
		if($("#area").val() == "")
		{
			alert("Informe a área da análise!");
			return;
		}
		zoom = 1;
		$('#analies_capa').css({"transform": "scale("+zoom+")", "transform-origin": "0 0" });
		ajustarAlturaPagina();
		//obter linhas e colunas para layout responsível
		aAnalise = [];
		$('.analise_item').each(function() {
			aAnalise.push($(this));
			$(this).attr("top_original", $(this).position().top);
		});
		
		if($("#layout").val() == "responsivel")
		{
			//regras para layout responsível
			$('#modal_conteudobi_pagina').scrollTop(0);
			
			//ordena por top
			for(i = 0; i < aAnalise.length; i++)
			{	
				for(j = 1; j < aAnalise.length; j++)
				{
					if(aAnalise[j].position().top < aAnalise[j-1].position().top)
					{
						aux =  aAnalise[j];
						aAnalise[j] = aAnalise[j-1];
						aAnalise[j-1] = aux;
					}
				}
			}
			
			
			//iguala top na mesma linha
			for(j = 0; j < aAnalise.length; j++)
			{
				for(i = 1; i < aAnalise.length; i++)
				{
					//validar se esta dentro de um container, se tiver não alinha
					if(! validaSeEstaEmContainer(aAnalise[i]) && ! validaSeEstaEmContainer(aAnalise[i-1]))
					{			
						iniTopAtual = aAnalise[i].position().top
						fimTopAtual = aAnalise[i].position().top + $(aAnalise[i]).height();

						iniTopAnterior = aAnalise[i-1].position().top
						fimTopAnterio = aAnalise[i-1].position().top + $(aAnalise[i-1]).height();
						
						
						
						//alert(fimTopAtual+" "+iniTopAnterior+" "+iniTopAtual+" "+fimTopAnterio)
						if(fimTopAtual >= iniTopAnterior 
						&& iniTopAtual <= fimTopAnterio
						&& aAnalise[i].attr("tipo") != "container" 
						&& aAnalise[i-1].attr("tipo") != "container")
						{
							//alert("entrou")
							menorEntreOs2 = iniTopAtual;
							if(iniTopAnterior < iniTopAtual)
							{
								menorEntreOs2 = iniTopAnterior;
							}
							
							if(menorEntreOs2 < 10)
							{
								menorEntreOs2 = 10;
							}
							aAnalise[i].position().top = menorEntreOs2;
							aAnalise[i-1].position().top = menorEntreOs2;
							aAnalise[i].css("top", menorEntreOs2+"px");
							aAnalise[i-1].css("top", menorEntreOs2+"px");
							$("#"+aAnalise[i].attr("id")).css("top", menorEntreOs2+"px");
							$("#"+aAnalise[i-1].attr("id")).css("top", menorEntreOs2+"px");
							//igualar alturas
							maiorHeight = aAnalise[i].height();
							menorHeight = aAnalise[i-1].height();
							if(aAnalise[i-1].height() > aAnalise[i].height())
							{
								maiorHeight = aAnalise[i-1].height();
								menorHeight = aAnalise[i].height();
							}
							if(maiorHeight-menorHeight <= 50)
							{
								aAnalise[i].height(maiorHeight);
								aAnalise[i-1].height(maiorHeight);
								aAnalise[i].css("height", maiorHeight+"px");
								aAnalise[i-1].css("height", maiorHeight+"px");
							}
						
						}
						
					}
				}
			}
			
			//ordena por left
			for(i = 0; i < aAnalise.length; i++)
			{	
				for(j = 1; j < aAnalise.length; j++)
				{
					if(aAnalise[j].position().left < aAnalise[j-1].position().left)
					{
						aux =  aAnalise[j];
						aAnalise[j] = aAnalise[j-1];
						aAnalise[j-1] = aux;
					}
				}
			}
			
			//ordena por top
			for(i = 0; i < aAnalise.length; i++)
			{	
				for(j = 1; j < aAnalise.length; j++)
				{
					if(aAnalise[j].position().top < aAnalise[j-1].position().top)
					{
						aux =  aAnalise[j];
						aAnalise[j] = aAnalise[j-1];
						aAnalise[j-1] = aux;
					}
				}
			}
			
			//validações
			for(j = 0; j < aAnalise.length; j++)
			{
				for(i = 0; i < aAnalise.length; i++)
				{
					
					//checar colisão, não pode ter colisão entre análise
					if(aAnalise[i].attr("tipo") != "container" && aAnalise[j].attr("tipo") != "container" )
					{
						div1 = document.getElementById(aAnalise[i].attr("id")).getBoundingClientRect();
						div2 = document.getElementById(aAnalise[j].attr("id")).getBoundingClientRect();
						if( 
							div1.right > div2.left && 
							div1.left < div2.right && 
							div1.bottom > div2.top && 
							div1.top < div2.bottom && 
							i != j
							)
							{
								alert("Colisão entre análises! ");
								return ;
							}
					}
						
				}
				
			}
			
			//preenche linhas e colunas
			contCol = 0;
			contLinha = 0;
			
			if(aAnalise.length > 0)
			{
				aAnalise[0].attr("linha", contLinha);
				$("#"+aAnalise[0].attr("id")).attr("linha", contLinha);
				aAnalise[0].attr("coluna", contCol);
				$("#"+aAnalise[0].attr("id")).attr("coluna", contCol);
			}
			for(j = 1; j < aAnalise.length; j++)
			{
				if(aAnalise[j].position().top == aAnalise[j-1].position().top )
				{
					contCol += 1;
				}
				else
				{
					contCol = 0;
					contLinha += 1;
				}
				
				aAnalise[j].attr("linha", contLinha);
				$("#"+aAnalise[j].attr("id")).attr("linha", contLinha);
			
				aAnalise[j].attr("coluna", contCol);
				$("#"+aAnalise[j].attr("id")).attr("coluna", contCol);
			}
		}
			//alert(aAnalise[i].find('.input_codigo_analise').val()+" "+aAnalise[i].position().top)
		
		listaItensPost = [];
		$('.analise_item').each(function() {
			analise = $(this).find('.input_codigo_analise').val();
			top_fixo = $(this).attr("top_original");//$(this).position().top;
			texto = $(this).find('.texto').val();
			if($(this).find('.texto').attr("tipo"))
			{
				if($(this).find('.texto').attr("tipo") == "texto")
				{
					//texto =  CKEDITOR.instances[$(this).find('.texto').attr("id")].getData() ;
					texto =$(this).find('.texto').html();
						
				}
			}
			if(top_fixo < 0)
			{
				top_fixo = "10";
			}
			left_fixo = $(this).position().left;
			height = $(this).css("height");
			width = $(this).css("width");
			linha = $(this).attr("linha");
			coluna = $(this).attr("coluna");
			left_fixo = (left_fixo+"").replace(".",",");
			top_fixo = (top_fixo+"").replace(".",",");
			height = (height+"").replace(".",",");
			width = (width+"").replace(".",",");
		
			
			listaItensPost.push({analise: analise, altura: height, largura: width, 
			left_fixo: left_fixo, top_fixo: top_fixo, linha: linha, coluna: coluna,
			codigo_analise_pagina: $(this).attr("codigo_analise_pagina"),
			excluir: false, texto: texto
			});
		});
		dadosPost = {codigo: $("#codigo").val(), nome: $("#nome").val(), layout: $("#layout").val(), listaAnalise: listaItensPost, 
		area: $("#area").val(), linkExterno: $("#linkExterno").val()}
		$.post("src/controller/Bi_paginaControllerUser.php?mod=salvar_user", dadosPost, function (data) {
			alert(data.mensagem)
			if(data.status)
			{
				$(".modal_fechar").click();
				/*if($("#codigo").val() == "")
				{
					$(".modal_fechar").click();
				}*/
			}
		}, 'json');
	}
	
	function validaSeEstaEmContainer(obgPagina_analise)
	{
		quebrarLinha = false;	
		
		//se tiver outro seletor do lado direito na mesma linha não quebrar linha
		for(iObgTeste =0; iObgTeste < aAnalise.length; iObgTeste++)
		{
			pagina_analiseTeste = aAnalise[iObgTeste];
			if(
				(obgPagina_analise.position().top >= pagina_analiseTeste.position().top
				&& obgPagina_analise.position().top <= pagina_analiseTeste.position().top+$(pagina_analiseTeste).height()
				&& obgPagina_analise.position().left >= pagina_analiseTeste.position().left
				&& obgPagina_analise.position().left <= pagina_analiseTeste.position().left+$(pagina_analiseTeste).width()
				&& obgPagina_analise.position().top != pagina_analiseTeste.position().top
				)
				||
				(obgPagina_analise.position().top <= pagina_analiseTeste.position().top
				&& obgPagina_analise.position().top >= pagina_analiseTeste.position().top+$(pagina_analiseTeste).height()
				&& obgPagina_analise.position().left <= pagina_analiseTeste.position().left
				&& obgPagina_analise.position().left >= pagina_analiseTeste.position().left+$(pagina_analiseTeste).width()
				&& obgPagina_analise.position().top != pagina_analiseTeste.position().top
				)
			)
			{
				
				quebrarLinha = true;
			}
			
		}
		return quebrarLinha;
	}
	function adicionarLabelText(obgPagina_analise, tipo)
	{
		width = 750; 
		height = 205; 
		if(tipo == "label")
		{
			width = 300; 
			height = 20; 
		}
		linha = 0; 
		coluna = 0;
		topFixo= 10;
		leftFixo =10;
		qtdLabel = listaLabelAdicionadas.length + 1;
		analise = tipo+"_"+qtdLabel;
		codigo_analise_pagina = "";
		texto = "";
		if(obgPagina_analise.width != "" )
		{
			width = obgPagina_analise.width; 
			height = obgPagina_analise.height; 
			linha = obgPagina_analise.linha; 
			coluna = obgPagina_analise.coluna; 
			//analise = obgPagina_analise.analise;
			codigo_analise_pagina = obgPagina_analise.pagina_analise;
			topFixo = obgPagina_analise.top; 
			leftFixo = obgPagina_analise.left;
			texto = obgPagina_analise.texto;
			
		}
		style = "width: "+width+"px; height: "+height+"px; top: "+topFixo+"px; left: "+leftFixo+"px; position: absolute;";
		styleItem = "";
		if(tipo == "container")
		{
			style += " z-index: 0; padding: 0; margin: 0; border: none; background-color: rgba(51, 153, 255, 0.5); ";
			styleItem = " background-color: rgb (51, 153, 255, 0.5); ";
		}
		else
		{
			style += " z-index: 1;";
		}
		addClass = "";
		
		html = "";
		html+='<div class=\'resizable draggable analise_item\' tipo="'+tipo+'" id="resizable'+analise+'" ';
		html+=' linha="'+linha+'" coluna="'+coluna+'" name="codigo_analise_pagina" codigo_analise_pagina="'+codigo_analise_pagina+'" top_original="" style="'+style+'" >';
		html+='	<div class="ui-resizable-handle ui-resizable-nw"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-ne"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-sw"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-se"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-n"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-s"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-e"></div>';
		html+='	<div class="ui-resizable-handle ui-resizable-w"></div>';
		
		html += ' 		<div style="width: auto; position: absolute; top: -15px; z-index: 888; left: calc(100% - 8px);">                                                                                                                                                                         ';
		html += ' 			<span class="form_obrigatorio_grid_editavel">&nbsp;</span>                                                                                                                                                  ';
		html += ' 			<a href="javaScript:void(0)" class="cor_verde" onclick="marcar_linha_pagiana_como_excluida(\'resizable'+analise+'\');">                                                                                                                      ';
		html += ' 			<i class="fa fa-trash" aria-hidden="true"></i></a>                                                                                                                                                          ';
		html += ' 		</div>                                                                                                                                                                                                          ';
		html +='	<input id="codigo_analise'+analise+'" name="codigo_analise" value="'+analise+'" class="input_codigo_analise" style="display: none;" />';
		if(tipo == "texto")
		{
			html+='<a href="javaScript:void(0)" onclick="escrever_texto(\'texto'+analise+'\')" style="position: absolute; left: calc(100% - 30px); top: -10px; z-index: 9999; "><i style="color: #394d60;" class="fa fa-pencil" aria-hidden="true"></i></a>';
		}
				
		html+='	<div id="seletor'+analise+'" style="width: 100%; height: 100%; overflow: auto;  position: absolute; overflow: hidden; '+styleItem+'  " >';
			if(tipo == "label")
			{
				html+='	<input type="text" class="form texto" name="texto" tipo="label" value="'+texto+'" placeholder="Label" required="" >';
			}
			else
			{
				html+='	<div class="texto" tipo="texto" id="texto'+analise+'" name="texto" style="height: 100%; width: 100%; padding: 15px;">'+texto+'</div>'
				//html+='	<textarea class="form texto" tipo="texto" id="texto'+analise+'" name="texto" >'+texto+'</textarea>'
				//html+='	<input type="text" class="form texto" name="texto" value="'+texto+'" placeholder="Texto" required="" >';
			}
		html+='	</div>';
		html+='</div>';
		$("#analies_capa").append(html);
		inicia_resizable("resizable"+analise);
		listaLabelAdicionadas.push("label"+qtdLabel);
		if(tipo == "texto")
		{
			//passado para modal
			/*CKEDITOR.replace( 'texto'+analise  );
			CKEDITOR.config.allowedContent = true;
			CKEDITOR.config.removeFormatAttributes = '';
			CKEDITOR.config.toolbarGroups = [
				{ name: 'styles', groups: [ 'styles' ] },
				{ name: 'colors', groups: [ 'colors' ] },
				{ name: 'document', groups: [ 'mode', 'document', 'doctools' ] },
				{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
				{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ] },
				{ name: 'clipboard', groups: [ 'clipboard', 'undo' ] },
				{ name: 'forms', groups: [ 'forms' ] },
				{ name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] },
				{ name: 'links', groups: [ 'links' ] },
				{ name: 'insert', groups: [ 'insert' ] },
				{ name: 'tools', groups: [ 'tools' ] },
				{ name: 'others', groups: [ 'others' ] },
				{ name: 'about', groups: [ 'about' ] }
			];
			CKEDITOR.config.removeButtons = 'Source,Save,NewPage,ExportPdf,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Find,Replace,SelectAll,Form,Checkbox,Radio,TextField,CopyFormatting,RemoveFormat,Strike,Subscript,Superscript,Textarea,Select,Button,ImageButton,HiddenField,Blockquote,CreateDiv,Outdent,Language,Link,Flash,Anchor,Smiley,SpecialChar,Iframe,ShowBlocks,Maximize,About';
			CKEDITOR.on( 'instanceReady', function( evt ) {
					$(".cke_top").css({height: "65px", position: 'absolute', "margin-top": "0px", "overflow": "auto"});
					$(".cke_bottom").css("display", "none");
					$("#analise"+analise+" .cke_contents").css("width", "100%");
					$(".cke_reset").css("height", "100%");
					$(".cke_contents").css("height", "100%");
					$(".cke_wysiwyg_frame").css({"margin-top": "71px", "width": "100%", "height": "calc(100% - 80px)"});
					} );
			CKEDITOR.on( 'loaded', function( evt ) {
				$(".cke_top").css({height: "65px", position: 'absolute', "margin-top": "0px", "overflow": "auto"});
				$(".cke_bottom").css("display", "none");
				$("#analise"+analise+" .cke_contents").css("width", "100%");
				$(".cke_reset").css("height", "100%");
				$(".cke_contents").css("height", "100%");
				$(".cke_wysiwyg_frame").css({"margin-top": "71px", "width": "100%", "height": "calc(100% - 80px)"});
			} );	*/	

		}
		//if(tipo == "")
		//{
			ajustaAnalisesParaFicarNoTopoAoclicar();
		//}
	}
	function ajustaAnalisesParaFicarNoTopoAoclicar()
	{
		let mousePressed = false;
		$(".resizable").mouseenter(function() {
			if(mousePressed)
			{
				//$(this).css("z-index", "99");
			}
		}).mouseleave(function() {
			if(! mousePressed)
			{
				$(this).css("z-index", "1");
				if($(this).attr("tipo") == "container")
				{
					$(this).css("z-index", "0");
				}
			}
		});
		
		$(".resizable").on("mousedown", function() {
			mousePressed = true;
			$(this).css("z-index", "99");
			 // console.log("Mouse button is pressed");
		});

		$(".resizable").on("mouseup", function() {
			mousePressed = false;
			//  console.log("Mouse button is released");
		});
	}
	function escrever_texto(seletor)
	{
		htmlTexto = ""
		htmlTexto += '	<textarea class="form texto" tipo="texto" id="texto_modal" name="texto" >'+$("#"+seletor).html()+'</textarea>';
		htmlTexto += '	<br>'
		htmlTexto += '	<a href="javaScript: void(0)" class="btnSuccess btnSn" style="color: green;" onclick="finalizar_digitacao_texto(\''+seletor+'\')">Finalizar</a>';
		abrir_modal_aviso(htmlTexto);
		CKEDITOR.replace( 'texto_modal'  );
			CKEDITOR.config.allowedContent = true;
			CKEDITOR.config.removeFormatAttributes = '';
			CKEDITOR.config.toolbarGroups = [
				{ name: 'styles', groups: [ 'styles' ] },
				{ name: 'colors', groups: [ 'colors' ] },
				{ name: 'document', groups: [ 'mode', 'document', 'doctools' ] },
				{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
				{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ] },
				{ name: 'clipboard', groups: [ 'clipboard', 'undo' ] },
				{ name: 'forms', groups: [ 'forms' ] },
				{ name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] },
				{ name: 'links', groups: [ 'links' ] },
				{ name: 'insert', groups: [ 'insert' ] },
				{ name: 'tools', groups: [ 'tools' ] },
				{ name: 'others', groups: [ 'others' ] },
				{ name: 'about', groups: [ 'about' ] }
			];
			CKEDITOR.config.removeButtons = 'Source,Save,NewPage,ExportPdf,Preview,Print,Templates,Cut,Copy,Paste,PasteText,PasteFromWord,Find,Replace,SelectAll,Form,Checkbox,Radio,TextField,CopyFormatting,RemoveFormat,Strike,Subscript,Superscript,Textarea,Select,Button,ImageButton,HiddenField,Blockquote,CreateDiv,Outdent,Language,Link,Flash,Anchor,Smiley,SpecialChar,Iframe,ShowBlocks,Maximize,About';
			CKEDITOR.on( 'instanceReady', function( evt ) {
					$(".cke_editable p").css({margin: "0"});
					$(".cke_wysiwyg_frame").contents().find(".cke_editable p").css({margin: "0"});
			} );
			CKEDITOR.on( 'loaded', function( evt ) {
				$(".cke_editable p").css({margin: "0"});
				$(".cke_wysiwyg_frame").contents().find(".cke_editable p").css({margin: "0"});
			} );
			/*CKEDITOR.on( 'instanceReady', function( evt ) {
					$(".cke_top").css({height: "65px", position: 'absolute', "margin-top": "0px", "overflow": "auto"});
					$(".cke_bottom").css("display", "none");
					$("#analise"+analise+" .cke_contents").css("width", "100%");
					$(".cke_reset").css("height", "100%");
					$(".cke_contents").css("height", "100%");
					$(".cke_wysiwyg_frame").css({"margin-top": "71px", "width": "100%", "height": "calc(100% - 80px)"});
					//$(".cke *").css("z-index", "999999 !important");
					} );
			CKEDITOR.on( 'loaded', function( evt ) {
				$(".cke_top").css({height: "65px", position: 'absolute', "margin-top": "0px", "overflow": "auto"});
				$(".cke_bottom").css("display", "none");
				$("#analise"+analise+" .cke_contents").css("width", "100%");
				$(".cke_reset").css("height", "100%");
				$(".cke_contents").css("height", "100%");
				$(".cke_wysiwyg_frame").css({"margin-top": "71px", "width": "100%", "height": "calc(100% - 80px)"});
				//$(".cke *").css("z-index", "9999999 !important");
			} );*/
	}
	function finalizar_digitacao_texto(seletor)
	{
		texto =  CKEDITOR.instances["texto_modal"].getData() ;
		$("#"+seletor).html(texto);
		abrir_modal_aviso("");	
	}
	function adiciona_analise(obgPagina_analise)
	{
		width = 300; 
		height = 300; 
		linha = 0; 
		coluna = 0; 
		topFixo= 10;
		leftFixo =10;
		analise = $("#analise").val();
		codigo_analise_pagina = "";
		if(obgPagina_analise.width != "" )
		{
			width = obgPagina_analise.width; 
			height = obgPagina_analise.height; 
			linha = obgPagina_analise.linha; 
			coluna = obgPagina_analise.coluna; 
			analise = obgPagina_analise.analise;
			codigo_analise_pagina = obgPagina_analise.pagina_analise;
			topFixo = obgPagina_analise.top; 
			leftFixo = obgPagina_analise.left;
			
		}
		if( listaAnaliseAdicionada.includes(analise))
		{
			// se foi excluido volta a mesma analise
			recuperou = false;
			$('.analise_item').each(function(i, obj) {
				if($(this).attr("codigo_analise_pagina"))
				{
					if($(this).attr("codigo_analise_pagina").includes("excluir") && $(this).attr("analise") == analise)
					{
						$(this).attr("codigo_analise_pagina", $(this).attr("codigo_analise_pagina").replace("excluir_",""));
						$(this).css({"display": "block", "left": topFixo+"px", "top": leftFixo+"px"});
						recuperou = true;
					}
				}
			});
			if(! recuperou)
			{
				alert("Análise "+analise+" já esta na página!");
			}
		}	
		else
		{
			style="width: "+width+"px; height: "+height+"px; position: absolute; z-index: 1; ";
			if(obgPagina_analise.width != "" )
			{
				style += "top: "+topFixo+"px; left: "+leftFixo+"px;";
			}
			addClass = "";
			
			if( obgPagina_analise.tipo_charts == "5" )
			{
				addClass = "widgetcardcapa ";
				style += " max-height: 90px; overflow: hidden;";
			}
			html = "";
			html+='<div class=\'resizable draggable analise_item '+addClass+'\'  tipo="analise" id="resizable'+analise+'" ';
			html+=' linha="'+linha+'" coluna="'+coluna+'" analise="'+analise+'" name="codigo_analise_pagina" codigo_analise_pagina="'+codigo_analise_pagina+'" top_original="'+obgPagina_analise.tipo+"-"+obgPagina_analise.tipo_charts+'" style="'+style+'" >';
			html+='	<div class="ui-resizable-handle ui-resizable-nw"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-ne"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-sw"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-se"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-n"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-s"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-e"></div>';
			html+='	<div class="ui-resizable-handle ui-resizable-w"></div>';
			
			html += ' 		<div style="width: auto; position: absolute; top: -15px; z-index: 888; left: calc(100% - 8px); z-index: 9999;">                                                                                                                                                                         ';
			html += ' 			<span class="form_obrigatorio_grid_editavel">&nbsp;</span>                                                                                                                                                  ';
			html += ' 			<a href="javaScript:void(0)" class="cor_verde" onclick="marcar_linha_pagiana_como_excluida(\'resizable'+analise+'\');">                                                                                                                      ';
			html += ' 			<i style="" class="fa fa-trash" aria-hidden="true"></i></a>                                                                                                                                                          ';
			html += ' 		</div>                                                                                                                                                                                                          ';
		
			html+='	<input type="text" style="display: none;" class="form texto" name="texto"  placeholder="Label" required="" >';
			html+='	<input id="codigo_analise'+analise+'" name="codigo_analise" value="'+analise+'" class="input_codigo_analise" style="display: none;" />';
			html+='	<div id=\'seletor'+analise+'Filtro\'></div>';
			//html+='	<div style="width: 100%; height: 100%; overflow: auto;  z-index: 1;   " >';
			html+='	<div id="seletor'+analise+'" style="width: 100%; height: 100%; overflow: auto;  -webkit-user-select: none;  " ></div>';
			//html+='</div>';
			html+='</div>';
			$("#analies_capa").append(html);
			inicia_resizable("resizable"+analise)
			montaFiltro("seletor"+analise+"Filtro", analise,"formDadosbi_seletor"+analise, "seletor"+analise );
			listaAnaliseAdicionada.push(analise+"");
		}
		$(".ui-resizable-handle").css("z-index", "10");
		//$(".analise_item *").attr("disabled", true);
		
		for(i =0; i < listaTodasAnalises.length; i++)
		{
			if(listaTodasAnalises[i].codigo == analise)
			{
				if(listaTodasAnalises[i].tipo == "widget")
				{
					$('#resizable'+analise).css({width: "227", height: "auto"});
					$('#resizable'+analise+" .ui-resizable-handle").remove();
				}
			}
		}
	}



	function marcar_linha_pagiana_como_excluida(seletor_linha)
	{
		valueCodigo = $('#'+seletor_linha).attr("codigo_analise_pagina");
		//alert(valueCodigo)
		$('#'+seletor_linha).attr("codigo_analise_pagina", "excluir_"+valueCodigo);
		$('#'+seletor_linha).css("display", "none");
	}

	$('.modal_conteudo').css("background-color", "#666666");
	$('.modal_conteudo').on('scroll', function (e){
		ajustarAlturaPagina();
	});
	ajustarAlturaPagina();
	function ajustarAlturaPagina()
	{
		somaHeight = 0;
		maxTop = 0;
		topConsiderar = 0;
		heightConsiderar = 0;
		$('.analise_item').each(function() {
			topAtual = $(this).position().top;
			height = $(this).height();
			if((topAtual+height) > maxTop)
			{
				topConsiderar = topAtual;
				heightConsiderar = height;
				maxTop = (topAtual+height);
			}
			//alert(height)
		});
		marginLeft = 0;
		if(zoom < 1)
		{
			
			topConsiderar += ((1.0-zoom)*10*300)
			marginLeft += ((1.0-zoom)*10*50);
			$("#analies_capa").css({ 'transform-origin': ""+marginLeft+'px 0'});
			
		}
		else if(zoom > 1)
		{
			marginLeft += ((zoom-1.0)*10*100);
			$("#analies_capa").css({ 'transform-origin': ""+marginLeft+'px 0'})
		}
		else
		{
			$("#analies_capa").css({ 'transform-origin': "0 0"})
		}
		somaHeight = topConsiderar + heightConsiderar+100
		$("#analies_capa").css({'height': somaHeight+'px'})
	}
	
	//montaFiltro("seletor1Filtro", '36',"formDadosbi_seletor1", "seletor1" );
	//montaFiltro("seletor2Filtro", '40',"formDadosbi_seletor2", "seletor2" );
	//